# inset

Manage figure inset setup and completion

The inset module is used to carve out a sub-region of the current plot canvas and restrict further plotting to that section of the canvas. The inset setup is started with the begin directive that defines the placement and size of the inset. Subsequent plot commands will be directed to that window. The inset is completed via the end directive, which reverts operations to the full canvas and restores the plot region and map projection that was in effect prior to the setup of the inset.

## Synopsis (begin mode)

gmt inset begin -D inset-box [ -F box ] [ -M margins ] [ -N ] [ -V[level] ] [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

The begin directive of inset defines the dimension and placement of the inset canvas. It records the current region and projection so that we may return to the initial plot environment when the inset is completed. The user may select any plot region and projection once plotting in the inset, but if the first command uses ? as scale or width then we adjust the scale or width to fill the inset as best as possible, given the inset size and margins (if selected).

## Required Arguments

-D xmin/xmax/ymin/ymax[+r][+u unit]] | -D[g|j|J|n|x]refpoint+w width[/height][+j justify][+o dx[/dy]]

  Define the map inset rectangle on the map. Specify the rectangle in one of three ways:

  (1) Append g lon/lat for map (user) coordinates, (2) j code or J code for setting the refpoint via a 2-char justification code that refers to the (invisible) projected map bounding box, (3) n xn/yn for normalized (0-1) bounding box coordinates, or (4) x x/y for plot coordinates (inches, cm, points, append unit). All but x requires both -R and -J to be specified. You can offset the reference point via +o dx/dy in the direction implied by code or +j justify.

  Alternatively, Give west/east/south/north of geographic rectangle bounded by parallels and meridians; append +r if the coordinates instead are the lower left and upper right corners of the desired rectangle. (Or, give xmin/xmax/ymin/ymax of bounding rectangle in projected coordinates and optionally append +u unit [Default coordinate unit is meter (e)]. Append +w width[/height] of bounding rectangle or box in plot coordinates (inches, cm, etc.). By default, the anchor point on the scale is assumed to be the bottom left corner (BL), but this can be changed by appending +j followed by a 2-char justification code justify (see text). Note: If -Dj is used then justify defaults to the same as refpoint, if -DJ is used then justify defaults to the mirror opposite of refpoint. Specify inset box attributes via the -F option [outline only].

## Optional Arguments

-F[+c clearances][+g fill][+i[[gap/]pen]][+p[pen]][+r[radius]][+s[[dx/dy/][shade]]]

  Without further options, draws a rectangular border around the map inset using MAP_FRAME_PEN; specify a different pen with +p pen. Add +g fill to fill the logo box [no fill]. Append +c clearance where clearance is either gap, xgap/ygap, or lgap/rgap/bgap/tgap where these items are uniform, separate in x- and y-direction, or individual side spacings between logo and border. Append +i to draw a secondary, inner border as well. We use a uniform gap between borders of 2p and the MAP_DEFAULT_PEN unless other values are specified. Append +r to draw rounded rectangular borders instead, with a 6p corner radius. You can override this radius by appending another value. Finally, append +s to draw an offset background shaded region. Here, dx/dy indicates the shift relative to the foreground frame [4p/-4p] and shade sets the fill style to use for shading [gray50].

-M margins

  This is clearance that is added around the inside of the inset. Plotting will take place within the inner region only. The margins can be a single value, a pair of values separated by slashes (for setting separate horizontal and vertical margins), or the full set of four margins (for setting separate left, right, bottom, and top margins) [no margins].

-N

  Do NOT clip features extruding outside map inset boundaries [Default will clip].

-V[level] (more …)

  Select verbosity level [w].

-^ or just -

  Print a short message about the syntax of the command, then exits (NOTE: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exits.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exits.

## Synopsis (end mode)

gmt inset end [ -V[level] ]

The end directive finalizes the current inset, which returns the plotting environment to the state prior to the start of the inset. The previous region and map projection will be in effect going forward.

## Optional Arguments

-V[level] (more …)

  Select verbosity level [w].

-^ or just -

  Print a short message about the syntax of the command, then exits (NOTE: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exits.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exits.

## Examples

To make a simple basemap plot called inset.pdf that demonstrates the inset module, try

>     gmt begin inset pdf
>       gmt basemap -R0/40/20/60 -JM6.5i -Bafg -B+glightgreen
>       gmt inset begin -DjTR+w2.5i+o0.2i -F+gpink+p0.5p -M0.25i
>         gmt basemap -Rg -JA20/20/2i -Bafg
>         gmt text -F+f18p+cTR+tINSET -Dj-0.15i -N
>       gmt inset end
>       gmt text -F+f18p+cBL+tMAP -Dj0.2i
>     gmt end

## See Also

begin, clear, docs, end, figure, gmt, subplot